PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Interrupt Functions
PDL API Reference » AUTONOMOUS ANALOG (Autonomous Analog Block) » FIFO (The buffer block to store collected data) » Functions

## General Description

This set of functions is used to handle interrupts in the FIFO.

## Functions
__STATIC_INLINE uint32_t | Cy_AutAnalog_FIFO_GetInterruptCause (uint8_t fifoIdx)
| Returns the cause of the interrupt for the FIFO subsystem. More...
__STATIC_INLINE uint32_t | Cy_AutAnalog_FIFO_GetInterruptStatus (uint8_t fifoIdx)
| Returns the status of combined FIFO subsystem interrupt requests. More...
__STATIC_INLINE void | Cy_AutAnalog_FIFO_ClearInterrupt (uint8_t fifoIdx, uint32_t interrupt)
| Clears the interrupts for the FIFO subsystem. More...
__STATIC_INLINE void | Cy_AutAnalog_FIFO_SetInterrupt (uint8_t fifoIdx, uint32_t interrupt)
| Sets a software interrupt request for the FIFO subsystem. More...
__STATIC_INLINE void | Cy_AutAnalog_FIFO_SetInterruptMask (uint8_t fifoIdx, uint32_t mask)
| Configures which bits of the interrupt request register will trigger an interrupt event in the FIFO subsystem. More...
__STATIC_INLINE void | Cy_AutAnalog_FIFO_ClearInterruptMask (uint8_t fifoIdx, uint32_t mask)
| Configures which bits of the interrupt request register will be cleared in the FIFO subsystem. More...
__STATIC_INLINE uint32_t | Cy_AutAnalog_FIFO_GetInterruptMask (uint8_t fifoIdx)
| Returns the interrupt mask. More...
__STATIC_INLINE uint32_t | Cy_AutAnalog_FIFO_GetInterruptStatusMasked (uint8_t fifoIdx)
| Returns the result of the bitwise AND operation between the corresponding interrupt request and mask bits. More...

## Function Documentation

## ◆ Cy_AutAnalog_FIFO_GetInterruptCause()

__STATIC_INLINE uint32_t Cy_AutAnalog_FIFO_GetInterruptCause | ( | uint8_t | fifoIdx | ) |

Returns the cause of the interrupt for the FIFO subsystem.

Parameters

  fifoIdx | The index of the FIFO subsystem within the Autonomous Analog.

Note
  One instance of the FIFO is currently supported.

Returns
  The mask of the event, which causes an interrupt in the FIFO subsystem. See Macros section for defined interrupts in the FIFO.

## ◆ Cy_AutAnalog_FIFO_GetInterruptStatus()

__STATIC_INLINE uint32_t Cy_AutAnalog_FIFO_GetInterruptStatus | ( | uint8_t | fifoIdx | ) |

Returns the status of combined FIFO subsystem interrupt requests.

Parameters

  fifoIdx | The index of the FIFO subsystem within the Autonomous Analog.

Note
  One instance of the FIFO is currently supported.

Returns
  The combined mask of interrupt requests for the FIFO subsystem. See Macros section for defined interrupts in the FIFO.

## ◆ Cy_AutAnalog_FIFO_ClearInterrupt()

__STATIC_INLINE void Cy_AutAnalog_FIFO_ClearInterrupt | ( | uint8_t | fifoIdx,
|  | uint32_t | interrupt
| ) |  |

Clears the interrupts for the FIFO subsystem.

Note
  The interrupt is only cleared when the contents of the FIFO drop below the cy_stc_autanalog_fifo_cfg_t::level condition.

Parameters

  fifoIdx | The index of the FIFO subsystem within the Autonomous Analog.

Note
  One instance of the FIFO is currently supported.

Parameters

  interrupt | The mask of the interrupts to be cleared. Each bit of this mask is responsible for clearing of the corresponding interrupt in the FIFO subsystem. See Macros section for defined interrupts in the FIFO.

## ◆ Cy_AutAnalog_FIFO_SetInterrupt()

__STATIC_INLINE void Cy_AutAnalog_FIFO_SetInterrupt | ( | uint8_t | fifoIdx,
|  | uint32_t | interrupt
| ) |  |

Sets a software interrupt request for the FIFO subsystem.

Parameters

  fifoIdx | The index of the FIFO subsystem within the Autonomous Analog.

Note
  One instance of the FIFO is currently supported.

Parameters

  interrupt | The mask of the interrupts to be set. Each bit of this mask is responsible for triggering of the corresponding interrupt in the FIFO subsystem. See Macros section for defined interrupts in the FIFO.

## ◆ Cy_AutAnalog_FIFO_SetInterruptMask()

__STATIC_INLINE void Cy_AutAnalog_FIFO_SetInterruptMask | ( | uint8_t | fifoIdx,
|  | uint32_t | mask
| ) |  |

Configures which bits of the interrupt request register will trigger an interrupt event in the FIFO subsystem.

Parameters

  fifoIdx | The index of the FIFO subsystem within the Autonomous Analog.

Note
  One instance of the FIFO is currently supported.

Parameters

  mask | The mask of interrupts allowed to be activated. Each bit of this mask allows the corresponding interrupt to be triggered in the FIFO subsystem. See Macros section for defined interrupts in the FIFO.

## ◆ Cy_AutAnalog_FIFO_ClearInterruptMask()

__STATIC_INLINE void Cy_AutAnalog_FIFO_ClearInterruptMask | ( | uint8_t | fifoIdx,
|  | uint32_t | mask
| ) |  |

Configures which bits of the interrupt request register will be cleared in the FIFO subsystem.

Parameters

  fifoIdx | The index of the FIFO subsystem within the Autonomous Analog.

Note
  One instance of the FIFO is currently supported.

Parameters

  mask | The mask for the clearing of the bits of the interrupt request register in the FIFO subsystem. See Macros section for defined interrupts in the FIFO.

## ◆ Cy_AutAnalog_FIFO_GetInterruptMask()

__STATIC_INLINE uint32_t Cy_AutAnalog_FIFO_GetInterruptMask | ( | uint8_t | fifoIdx | ) |

Returns the interrupt mask.

Each bit of this mask represents an interrupt that is allowed in the FIFO subsystem.

Parameters

  fifoIdx | The index of the FIFO subsystem within the Autonomous Analog.

Note
  One instance of the FIFO is currently supported.

Returns
  The mask of the interrupts that can be activated. See Macros section for defined interrupts in the FIFO.

## ◆ Cy_AutAnalog_FIFO_GetInterruptStatusMasked()

__STATIC_INLINE uint32_t Cy_AutAnalog_FIFO_GetInterruptStatusMasked | ( | uint8_t | fifoIdx | ) |

Returns the result of the bitwise AND operation between the corresponding interrupt request and mask bits.

See Cy_AutAnalog_FIFO_GetInterruptStatus and Cy_AutAnalog_FIFO_SetInterruptMask.

Parameters

  fifoIdx | The index of the FIFO subsystem within the Autonomous Analog.

Note
  One instance of the FIFO is currently supported.

Returns
  The masked status of combined interrupt requests for the FIFO subsystem. See Macros section for defined interrupts in the FIFO.